Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently indicate case sensitivity

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Nov 2012 10:23:33 +0200

> From: Juri Linkov <[email-masked]>
> Date: Fri, 30 Nov 2012 03:34:10 +0200
> Cc: 'Kelly Dean' <[email-masked]>, [email-masked]
> 
> > I have no objection to:
> >
> >  isearch    - case-insensitive
> >  Isearch    - case-sensitive
> >  I search   -                and lax whitespace
> >  I*search   -                and regexp
> >  I* search  -                and lax ws and regexp
> >  ...
> 
> Then word and symbol search need indication too, e.g.:
> 
> <Isearch>     - word search
> _<Isearch_>   - symbol search

Please don't do that.  That way lies madness.  There's no way the user
will be able to pick up the hints from this UI.

If you must have some indication of the kind of i-search, add some
clearly visible indicators, like

  I-search(NC) -- case-insensitive ("no-case")
  I-search(CS) -- case-sensitive
  I-search(CS,WS) -- and lax whitespace
  I-search(CS,WS,RX) -- and regexp

etc. (I don't insist on the particular acronyms, perhaps better ones
can be found).  Yes, these are cryptic as well (so maybe consider
making them longer), but at least they are _explicit_, so the user who
is curious has a very clear hint staring it her, and could go RTFM if
needed.

Another, orthogonal idea to make this easier for users is to add a
tool-tip to the "I-search" field.  It's orthogonal because it won't
help on a TTY.